Name: soundconverter
Version: 4.0.3
Release: %mkrel 1

Summary: A simple sound converter application for GNOME
License: GPLv3
Group: Sound
Url: https://github.com/kassoulet/soundconverter
Source: %name-%version.tar.xz
Patch: soundconverter-4.0.0-drop-unity.patch
BuildArch: noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: intltool
BuildRequires: %{_lib}python3-devel
BuildRequires: python-gobject3
BuildRequires: python3-distutils-extra
BuildRequires: desktop-file-utils
Requires: gstreamer1.0-plugins-ugly
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-base
Requires: GConf2

%description
A simple sound converter application for the GNOME environment.
It reads and writes anything the GStreamer library can.

%prep
%setup -q
%apply_patches

%build
python3 setup.py build

%install
rm -rf %{buildroot}
python3 setup.py install --prefix=/usr --root=%{buildroot}

desktop-file-install --vendor="" \
	--add-category=Audio \
	--add-category=AudioVideo \
    --add-category="X-MandrivaLinux-Multimedia-Sound" \
	%buildroot%{_datadir}/applications/%name.desktop

# install locale
mkdir -p %buildroot%_datadir/locale
cp -a build/mo/* %buildroot%_datadir/locale
%find_lang %name

rm -rf %buildroot%_datadir/doc/%name

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%files -f %name.lang
%doc AUTHORS README.md
%defattr(-,root,root)
%_bindir/%name
%{python3_sitelib}/%name
%{python3_sitelib}/*.egg-info
%_datadir/%name
%_datadir/metainfo/%name.appdata.xml
%_datadir/glib-2.0/schemas/*
%_datadir/pixmaps/*
%_datadir/applications/%name.desktop
%_iconsdir/hicolor/scalable/apps/*.svg

%changelog
* Mon Aug 29 2022 tex - 4.0.3-1pclos2022
- new version

* Sun May 23 2021 Ken <lxgator at gmail.com> 4.0.0-1pclos2021
- Update to 4.0.0


